import request from '@/utils/request'

// 查询划油记录列表
export function listOilSkimmingLog (query) {
  return request({
    url: '/clw/oilSkimmingLog/list',
    method: 'get',
    params: query
  })
}

// 查询划油记录详细
export function getOilSkimmingLog (id) {
  return request({
    url: '/clw/oilSkimmingLog/' + id,
    method: 'get'
  })
}

// 新增划油记录
export function addOilSkimmingLog (data) {
  return request({
    url: '/clw/oilSkimmingLog',
    method: 'post',
    data: data
  })
}

// 修改划油记录
export function updateOilSkimmingLog (data) {
  return request({
    url: '/clw/oilSkimmingLog',
    method: 'put',
    data: data
  })
}

// 删除划油记录
export function delOilSkimmingLog (id) {
  return request({
    url: '/clw/oilSkimmingLog/' + id,
    method: 'delete'
  })
}
